# Visualization
TKV3d
Graphic3d

# Graphic3d_ArrayOfPolylines Class Reference

`#include <Graphic3d_ArrayOfPolylines.hxx>`

Inheritance diagram for Graphic3d_ArrayOfPolylines:

[legend]

## Public Member Functions

Standard_EXPORT | Graphic3d_ArrayOfPolylines (const Standard_Integer maxVertexs, const Standard_Integer maxBounds=0, const Standard_Integer maxEdges=0, const Standard_Boolean hasVColors=Standard_False, const Standard_Boolean hasBColors=Standard_False, const Standard_Boolean hasEdgeInfos=Standard_False)

Creates an array of polylines,
a polyline can be filled as:
1) creating a single polyline defined with his vertexs.
i.e:
myArray = Graphic3d_ArrayOfPolylines(7)
myArray->AddVertex(x1,y1,z1)
....
myArray->AddVertex(x7,y7,z7)
2) creating separate polylines defined with a predefined
number of bounds and the number of vertex per bound.
i.e:
myArray = Graphic3d_ArrayOfPolylines(7,2)
myArray->AddBound(4)
myArray->AddVertex(x1,y1,z1)
....
myArray->AddVertex(x4,y4,z4)
myArray->AddBound(3)
myArray->AddVertex(x5,y5,z5)
....
myArray->AddVertex(x7,y7,z7)
3) creating a single indexed polyline defined with his vertex
ans edges.
i.e:
myArray = Graphic3d_ArrayOfPolylines(4,0,6)
myArray->AddVertex(x1,y1,z1)
....
myArray->AddVertex(x4,y4,z4)
myArray->AddEdge(1)
myArray->AddEdge(2)
myArray->AddEdge(3)
myArray->AddEdge(1)
myArray->AddEdge(2)
myArray->AddEdge(4)
4) creating separate polylines defined with a predefined
number of bounds and the number of edges per bound.
i.e:
myArray = Graphic3d_ArrayOfPolylines(6,4,14)
myArray->AddBound(3)
myArray->AddVertex(x1,y1,z1)
myArray->AddVertex(x2,y2,z2)
myArray->AddVertex(x3,y3,z3)
myArray->AddEdge(1)
myArray->AddEdge(2)
myArray->AddEdge(3)
myArray->AddBound(3)
myArray->AddVertex(x4,y4,z4)
myArray->AddVertex(x5,y5,z5)
myArray->AddVertex(x6,y6,z6)
myArray->AddEdge(4)
myArray->AddEdge(5)
myArray->AddEdge(6)
myArray->AddBound(4)
myArray->AddEdge(2)
myArray->AddEdge(3)
myArray->AddEdge(5)
myArray->AddEdge(6)
myArray->AddBound(4)
myArray->AddEdge(1)
myArray->AddEdge(3)
myArray->AddEdge(5)
myArray->AddEdge(4)
.

Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT Graphic3d_ArrayOfPolylines::Graphic3d_ArrayOfPolylines | ( | const Standard_Integer | maxVertexs,
|  | const Standard_Integer | maxBounds = `0`,
|  | const Standard_Integer | maxEdges = `0`,
|  | const Standard_Boolean | hasVColors = `Standard_False`,
|  | const Standard_Boolean | hasBColors = `Standard_False`,
|  | const Standard_Boolean | hasEdgeInfos = `Standard_False`
| ) |

## Member Function Documentation

Standard_EXPORT const Graphic3d_ArrayOfPolylines::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Graphic3d_ArrayOfPrimitives.

The documentation for this class was generated from the following file:

- Graphic3d_ArrayOfPolylines.hxx